--- a/oless/h/page.hxx
+++ b/oless/h/page.hxx
@@ -47,6 +47,7 @@
 {
 public:
     void * operator new(size_t size, size_t sizeData);
+    void operator delete(void *ptr);
 
     CMSFPage(CMSFPage *pmpNext);
     inline ~CMSFPage();
@@ -133,6 +134,24 @@
 }
 
 //+---------------------------------------------------------------------------
+//
+//  Member: CMSFPage::operator delete, public
+//
+//  Synopsis: Overloaded delete operator for CMSFPage.
+//
+//  Arguments:  [ptr] -- Pointer to CMSFPage object
+//
+//----------------------------------------------------------------------------
+
+inline void CMSFPage::operator delete(void *ptr)
+{
+    if (ptr) {
+        free(ptr);
+        ptr = NULL;
+    }
+}
+
+//+---------------------------------------------------------------------------
 //
 //  Member: CMSFPage::GetNext, public
 //
